<?xml version="1.0" encoding="utf-8"?>
<com.gh.gamecenter.common.view.MaterializedRelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background_white"
    android:descendantFocusability="blocksDescendants">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        style="@style/Base_ToolbarStyle"
        android:layout_width="match_parent"
        android:layout_height="@dimen/appbar_height"
        android:background="@color/background_white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/transparent"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:translationX="-32dp">

            <com.facebook.drawee.view.SimpleDraweeView
                android:id="@+id/userAvatar"
                style="@style/frescoCircleStyle"
                android:layout_width="28dp"
                android:layout_height="28dp"
                android:visibility="gone"
                app:roundingBorderColor="@color/black_alpha_10"
                app:roundingBorderWidth="0.5dp"
                tools:visibility="visible" />

            <TextView
                android:id="@+id/forumTitleTv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="8dp"
                android:ellipsize="end"
                android:maxLines="1"
                android:textColor="@color/text_title"
                android:textSize="16sp"
                android:textStyle="bold"
                android:visibility="gone" />
        </LinearLayout>
    </androidx.appcompat.widget.Toolbar>

    <RelativeLayout
        android:id="@+id/listContainer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@id/input_container"
        android:layout_below="@id/toolbar"
        android:descendantFocusability="beforeDescendants"
        android:focusableInTouchMode="true">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/list_rv"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </RelativeLayout>

    <include
        android:id="@+id/fixedTopFilterView"
        layout="@layout/piece_article_detail_comment_filter"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        android:layout_below="@id/toolbar"
        android:visibility="gone"
        tools:visibility="visible" />

    <View
        android:visibility="gone"
        android:id="@+id/bottomShadowView"
        android:layout_width="match_parent"
        android:layout_height="6dp"
        android:layout_above="@id/input_container"
        android:alpha="0.3"
        android:background="@drawable/shadow" />

    <include
        android:id="@+id/input_container"
        layout="@layout/piece_article_input_container" />

    <FrameLayout
        android:id="@+id/skeleton"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/toolbar" />

    <include
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true" />

    <include
        layout="@layout/reuse_no_connection"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/toolbar" />

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/toolbar" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/toolbar" />

</com.gh.gamecenter.common.view.MaterializedRelativeLayout>